import axios from '../utils/axios'
import { stringToUrl } from '@/common/js/utils';

// 获取首页统计
export function getStatistics(params) {
    return axios.post(`/ORDER-SERVER/tOrder/getStatistics?${stringToUrl(params)}`, params);
}
// 获取设备列表
export function getEquipmentList(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/listEquipment?${stringToUrl(params)}`);
}
// 获取商家列表
export function getAdminList(params) {
    return axios.get(`/SZWL-SERVER/tAdmin/getAdminList?${stringToUrl(params)}`);
}
// 获取公告
export function Api_getNotice(params) {
    return axios.get(`/SZWL-SERVER/tNotice/getNotice`, { params });
}
// 公告已读修改状态
export function Api_getUpdateNotice(params) {
    return axios.get(`/SZWL-SERVER/tNotice/updateNotice`, { params });
}
// 获取设备情况
export function Api_postMachineNum(params) {
    return axios.post(`/SZWL-SERVER/tEquipment/getMachineNum`, params );
}
// 查询是否有设备报警
export function getIsAlarm(params) {
    return axios.get(`/SZWL-SERVER/tAlarmRecord/isAlarm?${stringToUrl(params)}`);
}